Update .travis.yml to use python3 for flake8, check_rst and coverage

14 jobs for bootstrap4 in 13 minutes and 40 seconds (queued for 4 seconds)
Status Name Job ID Coverage
  Test
passed check_rst #3763

00:00:34

passed coverage #3775

00:01:23

99.0%
passed flake8 #3762

00:00:41

passed py27-django110 #3767

00:01:32

passed py27-django17 #3764

00:01:29

passed py27-django18 #3765

00:01:27

passed py27-django19 #3766

00:01:31

failed py34-django110 #3771

00:00:23

failed py34-django17 #3768

00:01:07

failed py34-django18 #3769

00:00:43

failed py34-django19 #3770

00:00:23

passed py35-django110 #3774

00:01:35

failed py35-django18 #3772

00:00:25

failed py35-django19 #3773

00:00:22

 
Name Stage Failure
failed
py35-django19 Test
Collecting zipp>=0.5
Downloading zipp-1.0.0-py2.py3-none-any.whl (4.1 kB)
Collecting more-itertools
Downloading more_itertools-8.1.0-py3-none-any.whl (41 kB)
Installing collected packages: py, more-itertools, zipp, importlib-metadata, pluggy, six, pyparsing, packaging, virtualenv, toml, filelock, tox
Successfully installed filelock-3.0.12 importlib-metadata-1.4.0 more-itertools-8.1.0 packaging-20.1 pluggy-0.13.1 py-1.8.1 pyparsing-2.4.6 six-1.14.0 toml-0.10.0 tox-3.14.3 virtualenv-16.7.9 zipp-1.0.0
$ tox -e py35-django19
ERROR: unknown environment 'py35-django19'
ERROR: Job failed: exit code 1
failed
py35-django18 Test
Collecting pyparsing>=2.0.2
Downloading pyparsing-2.4.6-py2.py3-none-any.whl (67 kB)
Collecting more-itertools
Downloading more_itertools-8.1.0-py3-none-any.whl (41 kB)
Installing collected packages: more-itertools, zipp, importlib-metadata, filelock, toml, six, pluggy, pyparsing, packaging, py, virtualenv, tox
Successfully installed filelock-3.0.12 importlib-metadata-1.4.0 more-itertools-8.1.0 packaging-20.1 pluggy-0.13.1 py-1.8.1 pyparsing-2.4.6 six-1.14.0 toml-0.10.0 tox-3.14.3 virtualenv-16.7.9 zipp-1.0.0
$ tox -e py35-django18
ERROR: unknown environment 'py35-django18'
ERROR: Job failed: exit code 1
failed
py34-django110 Test
  Stored in directory: /root/.cache/pip/wheels/91/95/75/19c98a91239878abbc7c59970abd3b4e0438a7dd5b61778335
Successfully built scandir
Installing collected packages: pyparsing, six, packaging, toml, py, virtualenv, more-itertools, zipp, scandir, pathlib2, importlib-metadata, filelock, pluggy, tox
Successfully installed filelock-3.0.12 importlib-metadata-0.23 more-itertools-7.2.0 packaging-20.1 pathlib2-2.3.5 pluggy-0.13.1 py-1.8.1 pyparsing-2.4.6 scandir-1.10.0 six-1.14.0 toml-0.10.0 tox-3.14.0 virtualenv-16.7.9 zipp-1.0.0
You are using pip version 19.0.3, however version 19.1.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
$ tox -e py34-django110
ERROR: unknown environment 'py34-django110'
ERROR: Job failed: exit code 1
failed
py34-django19 Test
  Stored in directory: /root/.cache/pip/wheels/91/95/75/19c98a91239878abbc7c59970abd3b4e0438a7dd5b61778335
Successfully built scandir
Installing collected packages: six, virtualenv, more-itertools, zipp, scandir, pathlib2, importlib-metadata, pluggy, pyparsing, packaging, toml, py, filelock, tox
Successfully installed filelock-3.0.12 importlib-metadata-0.23 more-itertools-7.2.0 packaging-20.1 pathlib2-2.3.5 pluggy-0.13.1 py-1.8.1 pyparsing-2.4.6 scandir-1.10.0 six-1.14.0 toml-0.10.0 tox-3.14.0 virtualenv-16.7.9 zipp-1.0.0
You are using pip version 19.0.3, however version 19.1.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
$ tox -e py34-django19
ERROR: unknown environment 'py34-django19'
ERROR: Job failed: exit code 1
failed
py34-django18 Test
    ERROR: This lxml version requires Python 2.7, 3.5 or later.
----------------------------------------
ERROR: Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-install-1c651ydg/lxml/

=================================== log end ====================================
ERROR: could not install deps [Django>=1.8,<1.9, -r/builds/samir/django-cas-server/requirements-dev.txt]; v = InvocationError("/builds/samir/django-cas-server/.tox/py34-django18/bin/python -m pip install 'Django>=1.8,<1.9' -r/builds/samir/django-cas-server/requirements-dev.txt", 1)
___________________________________ summary ____________________________________
ERROR: py34-django18: could not install deps [Django>=1.8,<1.9, -r/builds/samir/django-cas-server/requirements-dev.txt]; v = InvocationError("/builds/samir/django-cas-server/.tox/py34-django18/bin/python -m pip install 'Django>=1.8,<1.9' -r/builds/samir/django-cas-server/requirements-dev.txt", 1)
ERROR: Job failed: exit code 1
failed
py34-django17 Test
    ERROR: This lxml version requires Python 2.7, 3.5 or later.
----------------------------------------
ERROR: Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-install-rbw_n9rc/lxml/

=================================== log end ====================================
ERROR: could not install deps [Django>=1.7,<1.8, -r/builds/samir/django-cas-server/requirements-dev.txt]; v = InvocationError("/builds/samir/django-cas-server/.tox/py34-django17/bin/python -m pip install 'Django>=1.7,<1.8' -r/builds/samir/django-cas-server/requirements-dev.txt", 1)
___________________________________ summary ____________________________________
ERROR: py34-django17: could not install deps [Django>=1.7,<1.8, -r/builds/samir/django-cas-server/requirements-dev.txt]; v = InvocationError("/builds/samir/django-cas-server/.tox/py34-django17/bin/python -m pip install 'Django>=1.7,<1.8' -r/builds/samir/django-cas-server/requirements-dev.txt", 1)
ERROR: Job failed: exit code 1